<xml> </xml>

IrrKlang.NET |

# SoundOutputDriver Enumeration

An enum for all types of output drivers irrKlang supports.

[Visual Basic]
Public Enum SoundOutputDriver
[C#]
public enum SoundOutputDriver

#### Members

Member Name | Description
--- | ---
NullDriver | Null driver, creating no sound output
CoreAudio | Core Audio sound output driver, mac os only
ALSA | ALSA sound output driver, linux only
WinMM | WinMM sound output driver, windows only
DirectSound | DirectSound sound output driver, windows only
DirectSound8 | DirectSound8 sound output driver, windows only
AutoDetect | An enum for all types of output drivers irrKlang supports.

#### Requirements

Namespace: IrrKlang

Assembly: irrKlang.NET (in irrKlang.NET.dll)

#### See Also

IrrKlang Namespace